#ifndef GLCD_PROTOTYPES_H
#define	GLCD_PROTOTYPES_H
//------------------------------------------------------------------------------
#define ON          0x3F
#define OFF         0x3E
#define glcdWidth   128      //128 bits since 128 x 64
#define pgWidth     64       //64 bits on chip1 and chip2 each
#define pgLen       8        //8 Bits
#define CLEAR       0x00
#define FILL        0xFF
//------------------------------------------------------------------------------
unsigned char page[8] = {0xB8,0xB9,0xBA,0xBB,0xBC,0xBD,0xBE,0xBF}; //LCD Pages addresses
unsigned int  column = 0;
//------------------------------------------------------------------------------
void GLCD_chip(char chip);
void GLCD_command(char command, char chip);
void GLCD_data(char data, char chip);
void GLCD_column(char col);
void GLCD_page(char pg);
void GLCD_startline(char line);
void GLCD_bitmap(unsigned char *bitmap, int elements);
void GLCD_font1(int pg,int col,unsigned char *text);
void GLCD_font2(int pg,int col,unsigned char *text);
void GLCD_image(unsigned char *image);
void GLCD_fill(char fill);
void GLCD_init();
void GLCD_latch(char controlData);
//------------------------------------------------------------------------------
#endif