/* 
 * File:   main.c
 * Author: Chisanga
 *
 * Created on 24 November 2020, 1:16 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#define _XTAL_FREQ  4000000
//------------------------------------------------------------------------------
#include "headers/KS0108_GLCD/GLCD_KS0108.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
   I2C_init(100000);
   EXPANDER_init(0,0);  //Port A and B = outputs
   GLCD_init();

   GLCD_image(truck);
   __delay_ms(1000);
   GLCD_fill(CLEAR);
   __delay_ms(2000);
   
   GLCD_font1(1,0,"****************");
   GLCD_font1(2,0,"KS0108 GLCD     ");
   GLCD_font2(3,0,"characters and images");
   GLCD_font1(4,0,"****************");
   __delay_ms(4000);
 
   while(1)
   {
     for(int ln = 0; ln < 64; ++ln)
     {
       GLCD_startline(ln);
       __delay_ms(10);
     }
   }
   
    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------